Functions
Component Paraments Functions
Peripheral Driver » LL Driver » I2S » Functions
Collaboration diagram for Component Paraments Functions:

## Functions
__STATIC_INLINE uint32_t | ll_i2s_get_rx_resolution (i2s_regs_t *I2Sx, uint8_t channel)
| Get I2S component paramenters: rx resolution. More...
__STATIC_INLINE uint32_t | ll_i2s_get_tx_resolution (i2s_regs_t *I2Sx, uint8_t channel)
| Get I2S component paramenters: tx resolution. More...
__STATIC_INLINE uint32_t | ll_i2s_get_tx_channels (i2s_regs_t *I2Sx)
| Get I2S component paramenters: the number of tx channels. More...
__STATIC_INLINE uint32_t | ll_i2s_get_rx_channels (i2s_regs_t *I2Sx)
| Get I2S component paramenters: the number of rx channels. More...
__STATIC_INLINE uint32_t | ll_i2s_get_rx_block (i2s_regs_t *I2Sx)
| Get I2S component paramenters: whether the receiver block is enabled or not. More...
__STATIC_INLINE uint32_t | ll_i2s_get_tx_block (i2s_regs_t *I2Sx)
| Get I2S component paramenters: whether the transmitter block is enabled or not. More...
__STATIC_INLINE uint32_t | ll_i2s_get_master_mode (i2s_regs_t *I2Sx)
| Get I2S component paramenters: whether the master mode is enabled or not. More...
__STATIC_INLINE uint32_t | ll_i2s_get_fifo_depth (i2s_regs_t *I2Sx)
| Get I2S component paramenters: FIOF depth. More...
__STATIC_INLINE uint32_t | ll_i2s_get_apb_width (i2s_regs_t *I2Sx)
| Get I2S component paramenters: APB data width. More...
__STATIC_INLINE uint32_t | ll_i2s_get_version (i2s_regs_t *I2Sx)
| Get I2S component version. More...
__STATIC_INLINE uint32_t | ll_i2s_get_type (i2s_regs_t *I2Sx)
| Get I2S component type. More...

## Detailed Description

## Function Documentation

## ◆ ll_i2s_get_apb_width()

__STATIC_INLINE uint32_t ll_i2s_get_apb_width | ( | i2s_regs_t * | I2Sx | ) |

Get I2S component paramenters: APB data width.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | I2S_PARAM1 | APB_DATA_WIDTH | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Sx | I2S instance

Return values

  Returned | Value can be one of the following values: LL_I2S_APB_WIDTH_8BIT LL_I2S_APB_WIDTH_16BIT LL_I2S_APB_WIDTH_32BIT

Definition at line 1812 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_fifo_depth()

__STATIC_INLINE uint32_t ll_i2s_get_fifo_depth | ( | i2s_regs_t * | I2Sx | ) |

Get I2S component paramenters: FIOF depth.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | I2S_PARAM1 | FIFO_DEPTH | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Sx | I2S instance

Return values

  Returned | Value can be one of the following values: LL_I2S_FIFO_DEPTH_2 LL_I2S_FIFO_DEPTH_4 LL_I2S_FIFO_DEPTH_8 LL_I2S_FIFO_DEPTH_16

Definition at line 1790 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_master_mode()

__STATIC_INLINE uint32_t ll_i2s_get_master_mode | ( | i2s_regs_t * | I2Sx | ) |

Get I2S component paramenters: whether the master mode is enabled or not.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | I2S_PARAM1 | MODE | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Sx | I2S instance

Return values

  State | of bit (1 or 0).

Definition at line 1767 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_rx_block()

__STATIC_INLINE uint32_t ll_i2s_get_rx_block | ( | i2s_regs_t * | I2Sx | ) |

Get I2S component paramenters: whether the receiver block is enabled or not.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | I2S_PARAM1 | RXBLOCK | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Sx | I2S instance

Return values

  State | of bit (1 or 0).

Definition at line 1729 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_rx_channels()

__STATIC_INLINE uint32_t ll_i2s_get_rx_channels | ( | i2s_regs_t * | I2Sx | ) |

Get I2S component paramenters: the number of rx channels.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | I2S_PARAM1 | RXCHN | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Sx | I2S instance

Return values

  Returned | Value can be one of the following values: LL_I2S_CHANNEL_NUM_1 LL_I2S_CHANNEL_NUM_2 LL_I2S_CHANNEL_NUM_3 LL_I2S_CHANNEL_NUM_4

Definition at line 1710 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_rx_resolution()

__STATIC_INLINE uint32_t ll_i2s_get_rx_resolution | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Get I2S component paramenters: rx resolution.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | I2S_PARAM2 | RXSIZE_3 | +-------------------—+--------------------------------—+ \endrst I2S_PARAM2 | RXSIZE_2 I2S_PARAM2 | RXSIZE_1 I2S_PARAM2 | RXSIZE_0

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  Returned | Value can be one of the following values: LL_I2S_RESOLUTION_12BIT LL_I2S_RESOLUTION_16BIT LL_I2S_RESOLUTION_20BIT LL_I2S_RESOLUTION_24BIT LL_I2S_RESOLUTION_32BIT

Definition at line 1626 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_tx_block()

__STATIC_INLINE uint32_t ll_i2s_get_tx_block | ( | i2s_regs_t * | I2Sx | ) |

Get I2S component paramenters: whether the transmitter block is enabled or not.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | I2S_PARAM1 | TXBLOCK | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Sx | I2S instance

Return values

  State | of bit (1 or 0).

Definition at line 1748 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_tx_channels()

__STATIC_INLINE uint32_t ll_i2s_get_tx_channels | ( | i2s_regs_t * | I2Sx | ) |

Get I2S component paramenters: the number of tx channels.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | I2S_PARAM1 | TXCHN | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Sx | I2S instance

Return values

  Returned | Value can be one of the following values: LL_I2S_CHANNEL_NUM_1 LL_I2S_CHANNEL_NUM_2 LL_I2S_CHANNEL_NUM_3 LL_I2S_CHANNEL_NUM_4

Definition at line 1687 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_tx_resolution()

__STATIC_INLINE uint32_t ll_i2s_get_tx_resolution | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Get I2S component paramenters: tx resolution.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | I2S_PARAM1 | TXSIZE_3 | +-------------------—+--------------------------------—+ \endrst I2S_PARAM1 | TXSIZE_2 I2S_PARAM1 | TXSIZE_1 I2S_PARAM1 | TXSIZE_0

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  Returned | Value can be one of the following values: LL_I2S_RESOLUTION_12BIT LL_I2S_RESOLUTION_16BIT LL_I2S_RESOLUTION_20BIT LL_I2S_RESOLUTION_24BIT LL_I2S_RESOLUTION_32BIT

Definition at line 1659 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_type()

__STATIC_INLINE uint32_t ll_i2s_get_type | ( | i2s_regs_t * | I2Sx | ) |

Get I2S component type.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | I2S_TYPE | TYPE | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Sx | I2S instance

Return values

  Returned | Value is const.

Definition at line 1850 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_version()

__STATIC_INLINE uint32_t ll_i2s_get_version | ( | i2s_regs_t * | I2Sx | ) |

Get I2S component version.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | I2S_VERSION | VERSION | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Sx | I2S instance

Return values

  Returned | Value is const.

Definition at line 1831 of file gr55xx_ll_i2s.h.